/******************************************************/
/****************** GENERAL CONTAINER *****************/
/******************************************************/

@media (min-width: 1200px) {
    .container-xl {
        max-width: 1350px !important;
    }
}

html {
    height: 100%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    position: relative;
    margin: 0;
    padding-bottom: 270px;
    min-height: 100%;
}

#footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
}

.align-div-bottom-absolute {
    position: absolute !important;
    bottom: 0 !important;
}

.col-20-100 {
    flex: 0 0 20%;
    max-width: 20%;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

.cut-text-dots { 
    text-overflow: ellipsis;
    overflow: hidden; 
    width: 100%;
    white-space: nowrap;
}

.line-height-initial {
    line-height: initial;
}

.close {
    margin-left: -40px; z-index: 100;
}

.container-border {
    border: 1px solid #cacaca;
    border-radius: 5px;
}

.modal-max-width-600 {
    max-width: 600px !important;
}

.modal-max-width-1000 {
    max-width: 1000px !important;
}

.display-i-f {
    display: inline-flex !important;
}

.center-element {
    margin: 0 auto !important;
}

.center-element-v {
    margin: auto 0 !important;
}

.d-flex {
    display: flex !important;
}

.label-v-class {
    display: flex;
    align-items: center;
}

.m-float-right {
    margin-left: auto !important;
}

.row-float-bottom {
    position: absolute;
    bottom: 0;
}

.d-block {
    display: block;
}

.nav-bg-color {
    background-color: white;
}

.w-95 {
    width: 95%;
}

.w-90 {
    width: 90%;
}

.w-80 {
    width: 80%;
}

.w-85 {
    width: 85%;
}

.red-warning-validation {
    color: #dc3545;
}

.shadow-container {
    width: 100%;
    box-shadow: 1px 1px 4px 1px #ccc;
    border-radius: 10px;
}

.vertical-hr {
    height: 100%; 
    box-shadow: 0px 0px 1px 1px #ccc;
}

.navbar-collapse, .genre-table, .not-found-error-container {
    text-align: center;
}

.navbar-shadow {
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.api-logo-footer {
    max-width: 300px;
}

.form-group > label > span {
    font-weight: bold;
}

.button-width-50 {
    width: 50%;
}

.no-btn-outline:focus {
    outline: none !important;
    box-shadow: none !important;
}

.center-v-button-icon {
    vertical-align: sub;
}

.middle-v-button-icon {
    vertical-align: middle;
}

.input-right-button {
    border-radius: 0 .25rem .25rem 0 !important;
}

.image-medium{
    height: 150px;
    width: 100px;
    align-self: center;
}

.image-square-medium {
    width: 100px;
    height: 100px;
}

.image-large {
    height: 225px;
    width: 150px;
    align-self: center;
}

.image-arrow-container {
    min-width: 50px;
    display: flex !important;
}

.image-arrow, .image-arrow-fade {
    max-width: 50px;
    height: min-content;
    align-self: center !important;
    margin: 0 auto 4rem auto;
    border-radius: 10px;
}

.image-arrow:hover {
    background-color: #eaeaea;
}

.image-arrow-fade {
    opacity: 0.3 !important;
}

.horizontal-elements-container {
    width: max-content;
    margin: 0 auto !important;
}

.horizontal-row-container {
    max-width: 1188px !important;
}

.horizontal-row-scroll {
    max-width: 1188px !important;
}

.horizontal-row-scroll > .row{
    overflow-x: hidden;
    white-space: nowrap;
    display: block;
    scroll-behavior: smooth;
}

.horizontal-row-scroll > .row > .horizontal-title,
.horizontal-row-scroll > .row > .horizontal-cast {
    display: inline-block;
    float: none;
}

.horizontal-title, .horizontal-cast {
    vertical-align: top;
    width: 150px;
    margin: 0rem 1.5rem 0rem 1.5rem;
    border-radius: 15px;
    overflow: hidden;
    font-size: 1.2rem;
    font-weight: 700;
    color: rgb(44, 44, 44);
}

.horizontal-title p, .horizontal-cast p, .word-break-content {
    text-align: left;
    word-break: break-word;
    white-space: pre-line;
    overflow-wrap: break-word;
    -ms-word-break: break-word;
    word-break: break-word;
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

.center-form-header {
    font-size: xx-large;
    text-decoration: underline;
    text-align: center;
    margin-bottom: 20px;
    font-family: Tahoma, sans-serif;
}

.user-username-title {
    font-weight: bold;
    color: #3B3B3B;
}

.light-gray-dark {
    color: #383838;
}

.light-gray-text {
    color: #7a7a7a;
}

.font-weight-600 {
    font-weight: 600;
}

.button-align-right {
    margin: 0 0 10px auto;
    height: min-content;
}

.inputfile {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}

.inputfile, .label-image, .label-image-update {
    width: 100%;
    font-weight: 400;
    text-align: center;
    color: white;
    user-select: none;
    background-color: #0069d9;
    display: inline-block;
    cursor: pointer;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, 
                border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.inputfile + label:hover {
    background-color: #0051a8;
}

.user-img-column label {
    width: 100%;
}

.align-input-center {
    align-self: center;
}

.align-right-input-label-text {
    text-align: right;
}

#img-user {
    width: 100%;
}

.user-info {
    min-height: 600px;
}

.red-label {
    background-color: #dc3545;
}
.red-label:hover {
    background-color: #c82333;
}

.user-search-details {
    height: 110px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 15px;
    cursor: pointer;
}

.user-search-details-request {
    height: 55px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 15px;
    flex-wrap: nowrap !important;
}

.image-small{
    max-height: 90px;
    max-width: 90px;
    align-self: center;
}

.image-x-small {
    height: 45px;
    width: 45px;
    align-self: center;
    border-radius: 20px;
}

.image-review {
    height: 65px;
    width: 65px;
    align-self: center;
    border-radius: 30px !important;
}


.image-xx-small {
    height: 30px;
    width: 30px;
    border-radius: 20px;
}

.image-user-details-container, .image-person-details-container {
    width: 90%;
    height: 90%;
    padding-left: 5px;
    display: flex;
    align-self: center;
}

.search-name {
    font-weight: bold;
    margin: 0px;
    margin-top: 1rem;
    font-size: x-large;
}

.add-cast-search-container {
    max-height: 300px;
    overflow: hidden;
    overflow-y: scroll;
}

.search-name-request {
    font-weight: bold;
    margin: 5px 0 0 0;
    font-size: x-large; 
}

.request-icons {
    margin-top: 10px;
    margin-right: 20px;
}

.friend-list-summary-header {
    padding: 0 5px;
}

.friends-number-summary {
    font-weight: bold;
    color: #616161;
}

.nopadding {
    padding: 0 !important;
    margin: 0 !important;
}

.hr-friends {
   border: 1px solid #cacaca;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.flex-direction-right {
    flex-direction: row-reverse;
}

.friend-summary-name {
    font-weight: 700;
    font-size: large;
    margin-top: 8px;
    color: #4b4b4b;
}

.friend-delete-button {
    margin-top: 7px;
    margin-right: 25px;
}

.link-pointer, .link-pointer-text {
    cursor: pointer;
}

.link-pointer-text:hover {
    text-decoration: underline;
}

.friends-inline-flex {
    display: inline-flex !important;
    width: 22%;
    background-color: #f1f1f1;
    height: 3.5rem;
    padding-top: 0.3rem;
    border-radius: 1rem;
    min-width: 220px;
}

.friends-inline-flex p {
    color: #3a3a3a;
}

.all-friends-container {
    flex-wrap: wrap;
}

.friend-delete-button {
    visibility: hidden;
}

.friend-summary-name-container:hover .friend-delete-button {
    visibility: visible;
}

.dropdown-toggle::after {
    vertical-align: 0.1em !important;
}

.nav-link {
    color: rgba(0, 0, 0, 0.7) !important;
}

.userName-menu {
    vertical-align: middle;
}

.language-select, .no-border-select {
    width: max-content;
    border: none !important;
}

/******************************************************/
/******************** TITLE SEARCH ********************/
/******************************************************/

.image-title-search-container, .image-TMDB-search-container  {
    padding-left: 5px;
    margin-left: -2.5rem;
    margin-top: -2.7rem;
    display: flex;
    align-self: center;
}

.border-radius-15 {
    border-radius: 10px;
}

.border-radius-15-left {
    border-radius: 10px 0 0 10px;
}

.border-radius-15-right {
    border-radius: 0 10px 10px 0;
}

.border-radius-20 {
    border-radius: 20px;
}

.title-search-details, .title-search-details-TMDB, .title-search-TMDB, .list-search-details {
    min-height: 150px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 15px;
    cursor: pointer;
}

.title-search-details-content {
    margin-top: 0.5rem;
}

.title-search-image-shadow {
    box-shadow: 5px 5px 5px 3px #a7a7a7;
}

.title-type-tag, .title-type-tag-details, .list-private-type-tag, .custom-list-private-type-tag {
    background-color: #3396ff;
    color: white;
    padding: 0.15rem 0.5rem;
    border-radius: 10px;
    height: max-content;
    margin: auto 0;
}

.search-title-name {
    font-weight: 700;
    font-size: x-large;
    margin-bottom: 0.2rem;
}

.search-title-year, .search-title-year-TMDB {
    color: #939393;
    height: min-content;
    margin: auto 0;
}

.search-title-description, .search-title-description-TMDB{
    overflow: hidden;
    text-overflow: ellipsis; 
}

.result-title {
    font-weight: 700;
    text-decoration: underline;
    margin-left: -1rem;
}

.align-end-result-title {
    align-self: end;
}

/******************************************************/
/**************** EXTERNAL TITLE SEARCH ***************/
/******************************************************/

.result-title-tmdb {
    font-weight: 700;
    margin-left: -2rem;
}

.external-result-container {
    width: 100%;
}

.TMDB-type-tag, .TMDB-type-tag-details, .TMDB-type-tag-person {
    background-color: #2cd643;
    color: white;
    padding: 0.15rem 0.5rem;
    border-radius: 10px;
    height: max-content;
    margin: auto 0;
}

.image-TMDB-search-container {
    margin-top: -7rem !important
}

.search-title-description-TMDB{
    padding-bottom: 0.7rem;
}

.title-search-details-TMDB {
    min-height: 200px !important;
}

.title-search-TMDB {
    margin-top: 2rem;
}

.title-search-TMDB .image-TMDB-search-container {
    margin-top: -3rem !important
}

.search-title-year-TMDB  {
    vertical-align: text-bottom;
}

.TMDB-title  {
    margin-bottom: 0.5rem;
}


/******************************************************/
/********************* TITLE INFO *********************/
/******************************************************/

.container-title-common-info {
    max-width: 80% !important;
}

.header-img {
    width: 100%;
    max-height: 400px;
    border-radius: 8px;
    object-fit: cover;
}

.portrait-img {
    width: 90%;
    margin-top: -85%;
    border-radius: 6px;
    border: 2px solid #ffffff;
}

.common-title-info {
    padding: 0px !important;
}

.title-name {
    font-weight: bold;
    font-size: xx-large;
    margin-bottom: 0.2rem;
}

.alternative-title {
    font-weight: 600;
    font-size: large;
    margin-top: -0.5rem;
}

.title-year {
    font-size: x-large;
    color: #939393;
    height: min-content;
    margin: auto 0;
}

.title-genre-tag {
    background-color: #632DB6;
    color: white;
    padding: 0.15rem 0.5rem;
    border-radius: 10px;
    height: max-content;
    margin: auto 0;
}

.TMDB-type-tag-details, .title-type-tag-details, .title-genre-tag {
    font-size: small;
    font-weight: 700;
}

.align-text-justify {
    text-align: justify;
}

.title-sub-info-title{
    font-weight: 600;
    color: #838383;
}

.title-sub-info, .title-sub-info-inline {
    font-size: medium;
    font-weight: 600;
    color: #414141;
}

.title-overview-title{
    font-size: large;
    font-weight: 600;
    color: #838383;
}

.title-pre-title-box {
    background-color: #3396ff;
    font-weight: 600;
    padding: 0.6rem 0.25rem;
    margin-top: 0.05rem;
    margin-right: 0.3rem;
}

.title-sub-info-inline {
    margin: auto 0 !important;
}

/******************************************************/
/*********************** SEASONS **********************/
/******************************************************/

.season-preview-img {
    width: 100%;
    border-radius: 6px;
    border: 2px solid #ffffff;
    max-width: 170px;
}

.season-preview-title-name {
    font-weight: 700;
    font-size: x-large;
    margin-bottom: 0.2rem;
}

.season-preview-title-year {
    color: #939393;
    font-size: large;
    height: min-content;
    margin: auto 0;
}

.link-bold {
    font-weight: 700;
}

.hr-seasons, .hr-seasons-list {
    border: 1px solid #cacaca;
}

.hr-seasons-list {
    width: 30%;
    margin: 1.5rem auto !important;
}

.episode-preview-img {
    width: 100%;
    border-radius: 6px;
    border: 2px solid #ffffff;
}


/******************************************************/
/***************** CREATE & EDIT TITLE ****************/
/******************************************************/

.title-input {
    margin: 0.5rem !important;
    border: 0px !important;
    font-size: x-large !important;
}

.title-label-color, .title-img-type-color {
    color: #797979;
    font-weight: 600;
}

.title-img-type-color {
    font-size: large;
}

.title-checkbox {
    height: 100%;
    display: flex;
    align-items: flex-end;
}

#externalId::-webkit-outer-spin-button,
#externalId::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

#externalId[type=number] {
    -moz-appearance:textfield; /* Firefox */
}

#titleDescription {
    resize: none;
}

.title-submit-btn-container {
    align-self: end;
    margin: 0 0 0 auto;
}

.side-update-menu-container {
    padding-right: 0px !important;
    height: min-content;
}

.side-update-menu-container .list-group-item {
    padding: 0.9rem 1rem 0.9rem 0.5rem;
    display: flex;
    color: #495057;
    font-weight: 600;
}

.label-image-update {
    height: 85%;
}

.header-update-image {
    width: 100%;
    height: 75%;
    max-height: 275px;
}

.portrait-update-image {
    width: 100%;
    max-height: 395px;
}

.portrait-update-image, .header-update-image {
    border-radius: 10px;
    box-shadow: 2px 2px 4px 2px #a7a7a7;
}

.update-header-container, .update-portrait-container {
    height: min-content;
}

.btn-icon {
    margin-top: -0.2rem;
}

.admin-panel {
    text-align: end;
    justify-content: flex-end;
}

.deletion-tag {
    font-weight: 700;
    color: #f05151;
    background-color: white;
    text-align: right;
    border: #f05151 2px solid;
    width: max-content;
    padding: 0.3rem;
    border-radius: 0.7rem;
    text-align: center;
}

.btn-cache-title {
    font-weight: 600 !important;
    font-size: medium;
}

.set-for-delete-container {
    background: repeating-linear-gradient(45deg, #ff9393, #ff9393  5px, white 0px, white 15px);
}

.font-size-update-title-tag {
    font-size: x-large;
}

.font-size-update-title {
    font-size: xx-large;
    font-weight: 700;
    margin-bottom: 0.2rem;
}

.recently-added-title {
    font-weight: 600;
    font-size: x-large;
}

.image-cast-add-search {
    width: 40px;
    align-self: center;
    border-radius: 10px;
}

.search-person {
    font-weight: bold;
    margin: 0px;
    margin-top: 1rem;
    font-size: large;
    color: #3a3a3a;
}

.cast-table-td {
    height: 60px !important;
    vertical-align: middle !important;
}

/******************************************************/
/*********************** PEOPLE ***********************/
/******************************************************/

.image-person-details-container {
    min-width: 60px;
}

.person-update-image {
    width: 300px;
    height: 450px;
    display: block;
}

.name-input {
    margin: 0.5rem !important;
    border: 0px !important;
    font-size: xx-large !important;
    font-weight: 600 !important;
}

#biography, #description {
    resize: none;
}

.search-button-active {
    background-color: #e0e0e0 !important;
}

.person-search-details {
    height: 110px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 15px;
}

.side-search-menu-container {
    padding-right: 0px !important;
    height: min-content;
    max-width: 310px !important;
}

.side-search-menu-container .list-group-item {
    padding: 0.9rem 1rem 0.9rem 0.5rem;
    display: flex;
    color: #495057;
    font-weight: 600;
}

.side-search-menu-container .list-group-divider {
    padding: 0.1rem;
    display: flex;
    background-color: #ccc;
}

.person-username-title {
    font-size: xx-large;
    font-weight: bold;
    color: #3B3B3B;
}

.TMDB-type-tag-person {
    font-size: 1.25rem !important;
}

.main-cast-title {
    font-weight: 600;
    font-size: x-large;
    color: #838383;
}

.horizontal-cast {
    margin: 0rem 1.37rem 0rem 1.37rem;
    width: 100px;
    font-size: 1rem;
}

.main-cast-container > .horizontal-row-cast-container {
    max-width: 1012.5px;
}

.horizontal-row-cast-container {
    max-width: 1012.5px;
    margin: 0 auto !important;
}

.cast-sub-info-name {
    font-weight: normal;
}

.cast-sub-info-episodes {
    font-weight: normal;
    font-size: 0.80rem;
    color: #5f5f5f;
}

.full-cast-department {
    font-size: x-large;
    font-weight: 700;
    color: #3a3a3a;
}

.cast-title-year {
    font-size: 1.05rem;
}

.cast-title-name {
    font-weight: 700;
    font-size: 1.05rem;
    color: #3a3a3a;
}

.cast-title-episodes {
    color: #646464;
    font-size: 1rem;
}

.cast-title-character {
    color: #464646;
    font-size: 1rem;
}

/******************************************************/
/***************** RATINGS & REVIEWS ******************/
/******************************************************/

.stars-general-rating {
    line-height: 2.6rem;
}

.stars-general-rating-text {
    font-size: 2.5rem;
    line-height: 3rem;
    font-weight: 600;
    color: #3B3B3B;
}

.stars-general-rating-outof {
    margin-top: 0.7rem;
    font-size: small;
}

.stars-general-rating-number {
    margin-top: -0.6rem;
    font-size: 0.8rem;
    line-height: initial;
}

.rating-input {
    display: none;
    background: #fff;
    background-color: #6587aa;
    position: absolute;
    padding: 0 0.5rem 0.05rem 0.5rem;
    border-radius: 15px 0 0 15px;
}

.rating-input.active-new {
    display: flex;
    margin-top: -3.04rem;
    margin-left: -3.7rem;
}

.rating-input.active-update {
    display: flex;
    margin-top: -3.04rem;
    margin-left: -6.5rem;
}

.rating-input-line {
    font-size: 1.3rem;
    line-height: 2.2rem;
    color: white;
}

.rating-input-button {
    line-height: 1.9rem;
    color: white;
}

.rating-input-button:hover {
    color: rgb(232, 107, 107);
}

.rating-input-rate-container {
    display: flex;
}

.rating-input-rate-container:hover {
    background-color: rgb(233, 233, 233);
    border-radius: 15px;
}

.rating-input-rate-container > .react-start {
    line-height: 3rem;
}

.rating-input-rate-col {
    flex-direction: column;
    text-align: center;
}

.rating-input-rate-col-rating {
    line-height: initial;
    font-size: x-large;
}

.rating-input-rate-col-text {
    line-height: initial;
    margin: 0;
}

.new-review-button {
    text-align: center;
    line-height: 3.4rem;
}

.new-review-button > button{
    color: #28a745;
}

.new-review-button > button:hover{
    color: #218838;
}

.align-rating-right {
    justify-content: right !important;
    margin: 0 0.2rem 0 0 !important;
}


.align-rating-review-end > div, .align-rating-fullreview-end {
    justify-content: end !important;
}

.review-textarea {
    resize: vertical !important;
    max-height: 500px;
    min-height: 120px;
}

.thumbs-up-btn {
    color: gray;
}

.thumbs-up-btn.active, .thumbs-up-btn:hover {
    color: rgb(47, 255, 47);
}

.thumbs-up-btn.active:hover {
    color: gray;
}

.thumbs-up-btn.nohover.active:hover {
    color: rgb(47, 255, 47) !important;
}

/******************************************************/
/******************* FOLLOWING LIST *******************/
/******************************************************/

.following-list-header-sticky {
    top: 64px !important;
    background-color: white;
    position: fixed;
    z-index: 2 !important;
}

.z-index-1 {
    z-index: 1 !important;
}

.following-list-header-elements {
    justify-content: center;
}

.following-list-header-elements > li {
    padding: 0 2rem;
    font-size: large;
    font-weight: 600;
    color: #3B3B3B;
}

.following-list-header-elements > li > a.active{
    font-weight: 700;
    color: #2c2c2c;
}

.list-private-type-tag {
    font-size: large !important;   
}

.following-list-title-image {
    height: 190px;
    align-self: center;
}

.following-list-title-name {
    font-weight: 600;
    font-size: 1.2rem;
    color: #2e2e2e;
    margin-bottom: 0.2rem;
}

.following-list-title-number {
    font-weight: 700;
    font-size: x-large;
    color: #494949;
}

.following-list-title-divider {
    width: 90%;
    border: 1px solid rgb(189, 189, 189);
}

.plan-to-watch-mark {
    background-color: rgb(168, 168, 168);
    width: 0.7rem;
}

.watching-mark {
    background-color: rgb(0, 209, 10);
    width: 0.7rem;
}

.dropped-mark {
    background-color: rgb(209, 0, 0);
    width: 0.7rem;
}

.completed-mark {
    background-color: rgb(0, 209, 209);
    width: 0.7rem;
}

.following-list-title-body {
    max-height: 75px;
    overflow-y: scroll;
    scroll-behavior: smooth;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.following-list-title-body::-webkit-scrollbar {
    display: none;
}

.following-list-rating-row {
    font-size: x-large;
    font-weight: 700;
    color: #3b3b3b;
    position: absolute;
    bottom: 0;
}

.following-list-title-padding {
    padding: 0 10px !important;
}

.following-list-status-row {
    justify-content: end;
    font-style: italic;
    font-weight: 600;
    color: #444444;
}

.custom-select-order-by-container {
    justify-content: flex-end;
    display: flex;
}

.custom-select-order-by {
    text-align: center;
    width: 11% !important;
}

.custom-select-order-by-label {
    margin: auto 0;
}

.following-list-shadow-container {
    width: 100%;
    box-shadow: 3px 3px 5px 3px rgb(196, 196, 196);
    border-radius: 10px;
}


/******************************************************/
/******************** CUSTOM LIST *********************/
/******************************************************/

.list-update-image {
    width: 237px;
    display: block;
}

.custom-list-edit-elements-container {
    background-color: #f2f4f7;
    border-radius: 10px;
}

.add-title-search-container {
    max-height: 320px;
    overflow: hidden;
    overflow-y: scroll;
    position: absolute !important;
    background-color: white;
    z-index: 1;
}

.image-title-add-search {
    width: 60px;
    align-self: center;
    border-radius: 5px;
}

.search-title-input-text {
    font-size: large !important;
}

.search-title-add-search-text {
    font-weight: 700;
    margin: 0px;
    margin-top: 1.5rem;
    font-size: 1.5rem;
    color: #3a3a3a;
}

.add-title-search-item:hover {
    background-color: #dbdbdb;
}

.image-title-list-edit-panel {
    max-width: 90px;
    max-height: 135px;
}

.text-title-list-edit-panel {
    font-size: x-large;
    font-weight: 700;
    color: #3a3a3a;
    margin-top: 1.1rem;
}

.title-list-edit-arrows {
    width: 60%;
    border-radius: 10px;
}

.title-list-edit-arrows:hover {
    background-color: rgb(223, 223, 223);
}

.title-list-edit-arrow-container {
    display: flex;
    flex-flow: column;
    justify-content: space-between;
}

.title-list-edit-arrow-container input{
    text-align: center;
    width: 70%;
    font-weight: 600;
    font-size: x-large;
    border: none;
    background-color: #f2f4f7;
}

.custom-list-edit-elements-container:hover .title-list-edit-arrow-container input {
    border: 2px solid #727272 !important;
    background-color: white;
}

.custom-list-edit-elements-delete-button {
    position: absolute;
    right: 2.5rem;
    z-index: 1;
    display: none;
}

.custom-list-edit-elements-container:hover .custom-list-edit-elements-delete-button {
    display: initial;
}

/* Chrome, Safari, Edge, Opera */
.title-list-edit-arrow-container input::-webkit-outer-spin-button,
.title-list-edit-arrow-container input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.title-list-edit-arrow-container input[type=number] {
  -moz-appearance: textfield;
}

.image-list-search-view {
    height: 202px;
    width: 135px;
    align-self: center;
}

.list-search-title-count {
    font-weight: 600;
    font-size: 1.4rem;
    color: #424242;
}

.user-list-container {
    position: absolute;
    bottom: 0.6rem;
    right: 1.5rem;
    color: #444444;
}

.image-user-list {
    height: 35px;
    width: 35px;
    align-self: center;
    border-radius: 25px !important;
    border: 1px solid #dadada;
}

.list-search-details {
    cursor: initial !important;
}

.list-search-like-container {
    color: #717171;
}

.custom-list-private-type-tag {
    font-size: x-large !important;   
}

.custom-list-shadow-container {
    width: 100%;
    box-shadow: 3px 3px 6px 2px rgb(196, 196, 196);
    border-radius: 5px;
}

.custom-list-image {
    width: 200px;
    height: 300px;
    border-radius: 6px 5px 0 0;
}

.custom-list-bottom-info {
    background-color: #464646;
    color: #f2f4f7;
    font-weight: 600;
    font-size: 1.3rem;
    padding: 0.1rem 0.6rem;
    display: flex;
    justify-content: space-between;
}

.custom-list-bottom-rating {
    color: #ffe245 !important;
}

.custom-list-bottom-info svg {
    vertical-align: initial;
}

.custom-list-elements {
    justify-content: space-evenly;
}

.custom-list-elements-title {
    font-size: 1.8rem;
    font-weight: bold;
    color: #3B3B3B;
}

.user-custom-list-last-title {
    font-size: 0.95rem;
    font-weight: bold;
    color: #3B3B3B;
}

.user-custom-list-last-item {
    padding-left: 0.8rem;
    padding-right: 0.8rem;
}

.private-lock-icon {
    padding: 0.4rem 0.5rem;
    position: absolute;
    background-color: #007bff;
    border-radius: 0 0 10px 0;
    /*border-right: 2px solid white;*/
    /*border-bottom: 2px solid white;*/
    box-shadow: 2px 2px 4px 3px #75b9ff;
}

.list-search-details .custom-list-private-type-tag {
    font-size: large !important;
}


/******************************************************/
/****************** LIKE CONTROLLER *******************/
/******************************************************/

.add-like:hover {
    color: #303030;
    font-weight: 600;
}

.add-like:hover svg{
    color: #be3c3c;
}

.liked, .add-like{
    cursor: pointer;
    text-decoration: underline;
}

.liked svg{
    color: #be3c3c;
}

.liked:hover {
    color: #303030;
    font-weight: 600;
}

.liked:hover .info{
    display: none;
}

.delete-like{
    display: none;
}

.liked:hover  .delete-like{
    display: initial;
}

.liked:hover svg{
    color: #717171;
}